## org.apache.commons.configuration
Class ConfigurationRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.commons.configuration.ConfigurationRuntimeException

All Implemented Interfaces:
  Serializable, org.apache.commons.lang.exception.Nestable

Direct Known Subclasses:
  ConversionException

    public class ConfigurationRuntimeException

extends org.apache.commons.lang.exception.NestableRuntimeException

A configuration related runtime exception.

Since:
  1.0
Version:
  $Id: ConfigurationRuntimeException.java 1208785 2011-11-30 21:13:50Z oheger $
Author:
  Emmanuel Bourg
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`ConfigurationRuntimeException()` Constructs a new `ConfigurationRuntimeException` without specified detail message.
`ConfigurationRuntimeException(String message)` Constructs a new `ConfigurationRuntimeException` with specified detail message.
`ConfigurationRuntimeException(String message, Throwable cause)` Constructs a new `ConfigurationRuntimeException` with specified detail message and nested `Throwable`.
`ConfigurationRuntimeException(Throwable cause)` Constructs a new `ConfigurationRuntimeException` with specified nested `Throwable`.

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationRuntimeException

    public ConfigurationRuntimeException()

  Constructs a new `ConfigurationRuntimeException` without specified detail message.

### ConfigurationRuntimeException

    public ConfigurationRuntimeException(String message)

  Constructs a new `ConfigurationRuntimeException` with specified detail message.

  Parameters:
    `message` - the error message

### ConfigurationRuntimeException

    public ConfigurationRuntimeException(Throwable cause)

  Constructs a new `ConfigurationRuntimeException` with specified nested `Throwable`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### ConfigurationRuntimeException

    public ConfigurationRuntimeException(String message,
                                         Throwable cause)

  Constructs a new `ConfigurationRuntimeException` with specified detail message and nested `Throwable`.

  Parameters:
    `message` - the error message
    `cause` - the exception or error that caused this exception to be thrown

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.